#
#  Copyright (C) 2001, 2002 MIT
#
#  This file is part of dotLRN.
#
#  dotLRN is free software; you can redistribute it and/or modify it under the
#  terms of the GNU General Public License as published by the Free Software
#  Foundation; either version 2 of the License, or (at your option) any later
#  version.
#
#  dotLRN is distributed in the hope that it will be useful, but WITHOUT ANY
#  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
#  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
#  details.
#

ad_page_contract {

    This template handles all even-width decorated column layouts.

    @version $Id: simple.tcl,v 1.1 2004/03/22 17:33:33 donb Exp $

} -properties {
    element_list:onevalue
    element_src:onevalue
}

set region_count [portal::layout::get_region_count -layout_id $page(layout_id)]
set region_width [expr { 100 / $region_count }]%

template::multirow create elements region element_id_list

# The page(element_list) array only contains data for elements actually placed on
# the page.  We must pad with empty regions to the left and right of the actual elements
# if each one doesn't have at least on element placed within it.

set element_region_count 0
foreach {region element_id_list} $page(element_list) {
    incr element_region_count
    for { set i $element_region_count } { $i < $region } { incr i } {
        template::multirow append elements $i {}
    }
    template::multirow append elements $region $element_id_list
}

for {set i $element_region_count} { $i < $region_count} { incr i } {
    template::multirow append elements $i {}
}

ad_return_template
